Send a receipt
To email, or to the address on the sale. Needs write on Fundraising.
POST
https://{organization}.rescueconsole.com
/
api
/
sales
/
{id}
/
receipt
Send a receipt
curl --request POST \
--url https://{organization}.rescueconsole.com/api/sales/{id}/receipt \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '<string>'})
};
fetch('https://{organization}.rescueconsole.com/api/sales/{id}/receipt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/sales/{id}/receipt"
payload = { "email": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"sale": {
"id": "<string>",
"status": "open",
"tender": "card",
"total_cents": 123,
"lines": [
{
"id": "<string>",
"sale_item_id": "<string>",
"name": "<string>",
"unit_cents": 123,
"quantity": 123,
"line_cents": 123
}
],
"currency": "<string>",
"customer": {
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"person_id": "<string>"
},
"check_number": "<string>",
"note": "<string>",
"paid_at": "2023-11-07T05:31:56Z",
"refunded_cents": 123,
"refunded_at": "2023-11-07T05:31:56Z",
"receipt_sent_to": "<string>",
"receipt_sent_at": "2023-11-07T05:31:56Z",
"created_by_person_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
Send a receipt
curl --request POST \
--url https://{organization}.rescueconsole.com/api/sales/{id}/receipt \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '<string>'})
};
fetch('https://{organization}.rescueconsole.com/api/sales/{id}/receipt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/sales/{id}/receipt"
payload = { "email": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"sale": {
"id": "<string>",
"status": "open",
"tender": "card",
"total_cents": 123,
"lines": [
{
"id": "<string>",
"sale_item_id": "<string>",
"name": "<string>",
"unit_cents": 123,
"quantity": 123,
"line_cents": 123
}
],
"currency": "<string>",
"customer": {
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"person_id": "<string>"
},
"check_number": "<string>",
"note": "<string>",
"paid_at": "2023-11-07T05:31:56Z",
"refunded_cents": 123,
"refunded_at": "2023-11-07T05:31:56Z",
"receipt_sent_to": "<string>",
"receipt_sent_at": "2023-11-07T05:31:56Z",
"created_by_person_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
